@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Audiowide&display=swap');

*{
font-family: 'Montserrat', sans-serif;
padding: 0;
margin: 0;
font-size: 1vw;
}

body{
    background-color: black;
    overflow-x: hidden;
}

.hamburger{
    display: none;
}
#navbar{
background-image: linear-gradient(to right, rgb(251, 37, 118), rgb(63, 0, 113));
place-content: center;
width: 100vw;
height: 6 vw;
display: flex;
color: white;
align-items: center;
justify-content:space-evenly;
position:fixed;
z-index: 999;
font-weight: bolder;
}

.icon{
    text-align: left;
    font-family: 'Audiowide', cursive;
    font-size: 4vw;
    color: white;
    cursor: pointer;
    
}

#menu{
    display: flex;
    cursor: pointer;
    padding-top: 3vw; 
    padding-bottom: 3vw;
}

#menu a{
    margin-left:2vw;
    margin-right:2vw;
    font-size: 1.3vw;
}

#home1, #aboutus1, #event1, #pricelist1, #contactus1{
    position: relative;
    display: inline-block;
}

#home1::after, #aboutus1::after, #event1::after, #pricelist1::after, #contactus1::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 0.3vw;
    background-color:white;
    transform: scaleX(0);
    transform-origin: center;
    transition: transform 0.3s ease-in-out;
}




#home1:hover:after, #aboutus1:hover:after, #event1:hover:after, #pricelist1:hover:after, #contactus1:hover:after{
    transform: scaleX(1);
}


.custom-link{
    color: white;
    text-decoration: none;
}


#hamburger {
    display: none;
    position: absolute;
    right: 2vw;
    top: 3vw;

    transform: translate(0, -50%);

  }

  
  @media screen and (max-width: 768px) {
    #menu {
        display: none;

    }

    #menu a{
        display:grid;
    }

    #hamburger {
      display: block;
    }

    

    #navbar {
        height: auto;
        flex-direction: column;
      }
      
      .icon {
        margin-bottom: 1rem;
      }
      
      .custom-link {
        display: block;
        padding: 0.5rem 0;
      }




  }


.aboutus-head-photo img{
    width: 100vw;
    height: 50vw;
    position: relative;
}

.titleab{
    text-align: center;
    margin-top: 1vw;
    color: white;
}

.titleab label{
    font-weight: bolder;
    font-size: x-large;
    color: white;

}

.garis-horisontal {
    border: 1px solid white;
    width: 12vw;
    align-content: center;
    margin: auto;
    margin-bottom: 0.8vw;
    margin-top: 1vw;
  }

  .detail-aboutus{
    color: white;
    text-align: justify;
    margin: 3vw;
  }

.history{
    color: white;
    text-align: center;
    font-weight: bolder;

}

.history label{
    font-size: x-large;
}


.history-detail{
    color: white;
    margin: 3vw;
    text-align: justify;
}

.title-galery{
    text-align: center;
    margin-top: 1vw;
    color: white;
}

.title-galery label{
    font-weight: bolder;
    font-size: x-large;
    color: white;
}

.galery{
display: flex;
}

.galery-item{

overflow: hidden;
position: relative;
}

.galery-item img{
    height: 25vw;
    width:25vw;
    transition: opacity 0.5s;

}

.galery-item:hover img {
    opacity: 80%;
    scale: 120%;
  }

  .galery-item:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 100%;
    transition: opacity 0.1s ease; 
  }
  
  .galery-item:hover:before {
    opacity: 80%;
  }


  .achievement{
    color: white;
    text-align: center;
    margin-top: 0.8vw;

}

.achievement label{
      font-weight: bolder;
      font-size: 2vw;
  }

.positioning{
    display: flex;
    width: 100vw;
    column-gap: 33vw;
    height: 10vw;

  }

  .photo-achievement{
    text-align: center;
    align-items: center;
    justify-content: center;
  }




.footer{
    margin: 3vw;
    margin-bottom: 0;
    align-items: center;
    width: 100vw;
    height: 10vw;
    display: flex;
    column-gap: 4vw;
}

.footer label{
font-weight: bolder;
color: white;
padding-top: 0.8vw;
cursor: pointer;
}

.menu-footer{
    color: white;
    font-weight: thin;
    padding: 1vw;
    cursor: pointer;
}

.copyright{
    margin-top: 1.25vw;
    color: white;
    font-weight: bolder;
    text-align: center;
}

.medsos-footer{
    size: 0.8vw;
    display: flex;
    column-gap: 4vw;
    padding-bottom: 2vw;
    padding-left: 1vw;
    align-items: center;
    cursor: pointer;
    margin-left:5vw;
}

.medsos-footer img{
    width: 3vw;
    height: 3vw;
}

.footer-copyright{
    background-image:  linear-gradient(to right, rgb(251, 37, 118), rgb(63, 0, 113));
}

.custom-link1{
    color: white;
    text-decoration: none;
    display: block;
}

.contact-us{
    color: white;
    text-align: right;
    margin-left:7vw;
}